unit zSvcCore;

interface
//{$DEFINE SPLASH}

{$IFDEF SPLASH}
uses
  ToolsAPI;

const
  Version = '1.0.0.88';
var
  AboutBoxServices: IOTAAboutBoxServices = nil;
  AboutBoxIndex: Integer = -1;
  SplashScreenInitialized: Boolean = False;
{$ENDIF}

procedure Register;

implementation

uses
 {$IFDEF SPLASH}Windows, Graphics,{$ENDIF} Classes, zSvcComponent, SysUtils;

{$R 'zSvcPackResource.RES'}
{$IFDEF SPLASH}
procedure RegisterAboutBox;
var
  ProductImage: HBITMAP;
begin
  if AboutBoxIndex = -1 then
  begin
    Supports(BorlandIDEServices,IOTAAboutBoxServices, AboutBoxServices);
    if not Assigned(AboutBoxServices) then
      raise Exception.Create('DEFAB211-5A89-40DB-9774-0CF78BC3C5CD');
    ProductImage := LoadBitmap(FindResourceHInstance(HInstance), 'SPLASH');
    if ProductImage = 0 then
      raise Exception.Create('3D1162C1-2E3B-49E5-9C02-686448C8076D');
    AboutBoxIndex := AboutBoxServices.AddPluginInfo('ZSvcPack - Component Package',
                                                    'zSvcPack - Zilog component package for NCT',
                                                    ProductImage,
                                                    False,
                                                    '',
                                                    Version);
  end;
end;

procedure UnregisterAboutBox;
begin
  if (AboutBoxIndex <> -1) and Assigned(AboutBoxServices) then
  begin
    AboutBoxServices.RemovePluginInfo(AboutBoxIndex);
    AboutBoxIndex := -1;
    AboutBoxServices := nil;
  end;
end;

procedure RegisterSplashScreen;
var
  ProductImage: HBITMAP;
begin
  if Assigned(SplashScreenServices) and not SplashScreenInitialized then
  begin
    ProductImage := LoadBitmap(FindResourceHInstance(HInstance), 'SPLASH');
    if ProductImage = 0 then
      raise Exception.Create('BD86CEE8-0515-49AA-A04C-1C96CA1A0F67');
    SplashScreenServices.AddPluginBitmap('ZSvcPack - Component Package',
      ProductImage, False, 'zSvcPack - Zilog component package for NCT', Version);
    SplashScreenInitialized := True;
  end;
end;
{$ENDIF}

procedure Register;
begin
  RegisterComponents('System', [TSvcControler, TSvcActionSet]);
end;

{$IFDEF SPLASH}
initialization
  RegisterAboutBox;
  RegisterSplashScreen;

finalization
  UnregisterAboutBox;
{$ENDIF}

end.
