unit zSvcTypes;

interface

uses zSvcResource;

type
  TSvcStatus = (svsNotInstalled,
                svsStopped,
                svsStartPending,
                svsStopPending,
                svsStarted,
                svsContinuePending,
                svsPausePending,
                svsPaused);

  TSvcAccess = (scaStop, scaPauseContinue, scaShutdown);

  TSvcAccesses = set of TSvcAccess;

  TSvcCommand = (svcStart, svcStop, svcPause, svcRestart, svcContinue);

  TStatusAfterEvent = procedure(Sender: TObject; Status: TSvcStatus) of object;

  TSvcRunType = (srtBoot,
                 srtSystem,
                 srtAuto,
                 srtManual,
                 srtDisabled
                );
  TSvcLabelSet = (slsRussian, slsEnglish);

  TSvcInfo = record
    RunType : TSvcRunType;
    Status  : TSvcStatus;
    Accesses: TSvcAccesses;
    Path: string;
  end;

const
  TSvcStatusNameEn: array[TSvcStatus] of String = (SNotInstalledEn,
                                                   SStopedEn,
                                                   SStartPendingEn,
                                                   SStopPendingEn,
                                                   SStartedEn,
                                                   SContinuePendingEn,
                                                   SPusePendingEn,
                                                   SPausedEn);
  TSvcStatusNameRu: array[TSvcStatus] of String = (SNotInstalledRu,
                                                   SStopedRu,
                                                   SStartPendingRu,
                                                   SStopPendingRu,
                                                   SStartedRu,
                                                   SContinuePendingRu,
                                                   SPusePendingRu,
                                                   SPausedRu);

  TSvcRunTypeNameEn: array[TSvcRunType] of String = (SBootStartEn,
                                                     SSystemStartEn,
                                                     SAutoStartEn,
                                                     SManualStartEn,
                                                     SDisabledStartEn);

  TSvcRunTypeNameRu: array[TSvcRunType] of String = (SBootStartRu,
                                                     SSystemStartRu,
                                                     SAutoStartRu,
                                                     SManualStartRu,
                                                     SDisabledStartRu);

implementation

end.
